Main Page | Directories | File List | File Members | Related Pages

# LinearStatistic.h File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
void | C_LinearStatistic (const double *x, const int p, const double *y, const int q, const double *weights, const int n, double *ans)
void | C_ExpectCovarInfluence (const double *y, const int q, const double *weights, const int n, SEXP ans)
void | C_ExpectCovarLinearStatistic (const double *x, const int p, const double *y, const int q, const double *weights, const int n, const SEXP expcovinf, SEXP ans)
void | C_PermutedLinearStatistic (const double *x, const int p, const double *y, const int q, const int n, const int nperm, const int *indx, const int *perm, double *ans)
SEXP | R_ExpectCovarInfluence (SEXP y, SEXP weights)

## Function Documentation

void C_ExpectCovarInfluence | ( | const double * | y,
|  | const int | q,
|  | const double * | weights,
|  | const int | n,
|  | SEXP | ans
| ) |

  | Conditional expectation and covariance of the influence function Parameters:
  | y | values of the influence function
  | q | dimension of the influence function
  | weights | case weights
  | n | number of observations
  | ans | return value; an object of class `ExpectCovarInfluence'
Definition at line 101 of file LinearStatistic.c. References PL2_covarianceSym, PL2_expectationSym, and PL2_sumweightsSym. Referenced by C_GlobalTest(), C_LinStatExpCov(), C_surrogates(), and R_ExpectCovarInfluence().

void C_ExpectCovarLinearStatistic | ( | const double * | x,
|  | const int | p,
|  | const double * | y,
|  | const int | q,
|  | const double * | weights,
|  | const int | n,
|  | const SEXP | expcovinf,
|  | SEXP | ans
| ) |

  | Conditional expectation and covariance of the a linear statistic Parameters:
  | x | values of the transformation
  | p | dimension of the transformation
  | y | values of the influence function
  | q | dimension of the influence function
  | weights | case weights
  | n | number of observations
  | expcovinf | an object of class `ExpectCovarInfluence'
  | ans | return value; an object of class `ExpectCovar'
Definition at line 213 of file LinearStatistic.c. References C_kronecker(), PL2_covarianceSym, PL2_expectationSym, and PL2_sumweightsSym. Referenced by C_LinStatExpCov(), and R_ExpectCovarLinearStatistic(). Here is the call graph for this function:

void C_LinearStatistic | ( | const double * | x,
|  | const int | p,
|  | const double * | y,
|  | const int | q,
|  | const double * | weights,
|  | const int | n,
|  | double * | ans
| ) |

  | Computes the linear statistic, formula (1) in the paper Parameters:
  | x | values of the transformation
  | p | dimension of the transformation
  | y | values of the influence function
  | q | dimension of the influence function
  | weights | case weights
  | n | number of observations
  | ans | return value; a pointer to a REALSXP-vector of length pq
Definition at line 23 of file LinearStatistic.c. Referenced by C_LinStatExpCov(), C_MonteCarlo(), and R_LinearStatistic().

void C_PermutedLinearStatistic | ( | const double * | x,
|  | const int | p,
|  | const double * | y,
|  | const int | q,
|  | const int | n,
|  | const int | nperm,
|  | const int * | indx,
|  | const int * | perm,
|  | double * | ans
| ) |

  | Linear Statistic with permuted indices Parameters:
  | x | values of the transformation
  | p | dimension of the transformation
  | y | values of the influence function
  | q | dimension of the influence function
  | n | number of observations
  | nperm | number of permutations
  | indx | indices for the x-part
  | perm | (permuted) indices for the y-part
  | ans | return value; a pointer to a REALSXP-vector of length pq
Definition at line 351 of file LinearStatistic.c. Referenced by C_MonteCarlo(), and R_PermutedLinearStatistic().

SEXP R_ExpectCovarInfluence | ( | SEXP | y,
|  | SEXP | weights
| ) |

  | R-interface to C_ExpectCovarInfluence Parameters:
  | y | values of the influence function
  | weights | case weights
Definition at line 171 of file LinearStatistic.c. References C_ExpectCovarInfluence(), ncol(), nrow(), PL2_covarianceSym, PL2_expectationSym, and PL2_sumweightsSym. Here is the call graph for this function: